package contract_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type ContractDeleteActionRequest struct {
	ContractInfo *common.ContractRequest `json:"contractInfo"`
	ActionInfo *common.ActionInfo `json:"actionInfo"`
	Operator *common.UserInfoRequest `json:"operator,omitempty"`
}
func (obj ContractDeleteActionRequest) GetUrl() string {
    return "/contract/delete/action"
}

func (obj ContractDeleteActionRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
